Различия

Здесь показаны различия между двумя версиями данной страницы.

Ссылка на это сравнение

Предыдущая версия справа и слева Предыдущая версия
Следующая версия
Предыдущая версия
tvip_tms_changelog [2018/10/08 19:10]
Efim Karelink [3.1.9 (08.10.2018) [beta]]
tvip_tms_changelog [2018/12/03 15:44] (текущий)
Egor Danilenko [TVIP TMS Changelog]
Строка 3: Строка 3:
  
 <WRAP center round important 60%> <WRAP center round important 60%>
-=== Attention for CentOS users ===+=== Update requirements (from version before 3.1.12 to 3.1.12 and newer) ​===
  
 +From version 3.1.12 TVIP TMS require <color #​ed1c24>​java 11</​color>​.
  
-From version 3.1.0 TVIP TMS require java 10.+If you use version ​before ​3.1.12 - you are using JAVA 10. For prevent startup issues (newer TMS is not support Java 10) after updating to newer version, we are recommend the next scenario (steps for Ubuntu users):
  
-You must install java 10 or above by yourself. You can find distributive on [[http://www.oracle.com/​technetwork/java/javase/​downloads/jre10-downloads-4417026.html|Oracle web-site]]+1) Update your repositories 
 +<​code>​ 
 +apt-get update  
 +</code> 
 +2) Install Java 11, if you have plan to use Oracle Java 11, you can use  oracle-java11-installer package from our repo (this is copy of deb package from linux uprising ppa) 
 +<​code>​ 
 +apt-get install oracle-java11-installer 
 +</code> 
 +3) This is important - set java 11 as default 
 +<​code>​update-java-alternatives --set java-11-oracle</code> 
 +4) Check java version: <​code>​java --version<​/code> 
 +5) After version check - install newest tvip-tms: <​code>​apt-get install tvip-tms<​/code> 
 +6) Restart tvip-tms service: <​code>​service tvip-tms restart</​code>​ 
 + 
 +Notice: Java 11 is not affected to runned processIf you  install java 11 and not install tvip-tms (3.1.12 and higher) you must set Java 10 as default.
 </​WRAP>​ </​WRAP>​
 +
 +
 +
 +
 +
 +
 +
 +==== 3.1.12 (06.11.2018) [beta] ====
 +
 +=== Fixed ===
 +
 +* TVIP API: Fixed bad URL of images assigned as VoD entry series logo.
 +
 +=== New features ===
 +
 +* TVIP API: Updated up to v2. It supports some new features and backward compatible with v1.
 +
 +* General: TMS requires Java 11.
 +
 +
  
 ==== 3.1.9 (08.10.2018) [beta] ==== ==== 3.1.9 (08.10.2018) [beta] ====